    class ProductsController < ApplicationController   
        
      # GET method to get all products from database   
      def index   
        @products = Product.all   
      end   
        
      # GET method to get a product by id   
      def show   
        @product = Product.find(params[:id])   
      end   
        
      # GET method for the new product form   
      def new   
        @product = Product.new   
      end   
        
      # POST method for processing form data   
      def create   
        @product = Product.new(product_params)   
        if @product.save   
          flash[:notice] = 'Product added!'   
          redirect_to root_path   
        else   
          flash[:error] = 'Failed to edit product!'   
          render :new   
        end   
      end   
      
      def destroy   
        @product = Product.find(params[:id])   
        if @product.delete   
          flash[:notice] = 'Product deleted!'   
          redirect_to root_path   
        else   
          flash[:error] = 'Failed to delete this product!'   
          render :destroy   
        end   
      end   
         
     def product_params   
        params.require(:product).permit(:name, :price, :old_price, :short_description, :full_description)   
      end   
       end   